## golang-github-containerd-imgcrypt 1.1.11

=== Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


# Base path used to install.
DESTDIR ?= /usr/local

VERSION=$(shell git describe --match 'v[0-9]*' --dirty='.m' --always)

CTR_LDFLAGS=-ldflags '-X github.com/containerd/containerd/version.Version=$(VERSION)'
COMMANDS=ctd-decoder ctr-enc
RELEASE_COMMANDS=ctd-decoder

BINARIES=$(addprefix bin/,$(COMMANDS))
RELEASE_BINARIES=$(addprefix bin/,$(RELEASE_COMMANDS))

.PHONY: check build ctd-decoder

all: build

build: $(BINARIES)

FORCE:

bin/ctd-decoder: cmd/ctd-decoder FORCE
	cd cmd && go build -o ../$@ -v ./ctd-decoder/

bin/ctr-enc: cmd/ctr FORCE
	cd cmd && go build -o ../$@ ${CTR_LDFLAGS} -v ./ctr/

check:
	@echo "$@"
	@golangci-lint run
	@script/check_format.sh

install:
	@echo "$@"
	@mkdir -p $(DESTDIR)/bin
	@install $(BINARIES) $(DESTDIR)/bin

containerd-release:
	@echo "$@"
	@mkdir -p $(DESTDIR)/bin
	@install $(RELEASE_BINARIES) $(DESTDIR)/bin

uninstall:
	@echo "$@"
	@rm -f $(addprefix $(DESTDIR)/bin/,$(notdir $(BINARIES)))

clean:
	@echo "$@"
	@rm -f $(BINARIES)

test:
	@echo "$@"
	@go test ./...

=== debian/changelog ===
golang-github-containerd-imgcrypt (1.1.11-4) unstable; urgency=medium

  * Build against containerd 1.7
  * Bump Standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 27 Jul 2024 12:41:30 +0200

golang-github-containerd-imgcrypt (1.1.11-3) unstable; urgency=medium

  * Allow co-installation of ctr, rename binary to ctr-imgrypt
    Closes: #1074070

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 15 Jul 2024 00:42:37 -0400

golang-github-containerd-imgcrypt (1.1.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 20:39:57 -0400

golang-github-containerd-imgcrypt (1.1.11-1) experimental; urgency=medium

  * Initial release (Closes: #1073545)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Jun 2024 06:52:13 -0400

=== debian/control ===
Source: golang-github-containerd-imgcrypt
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-containerd-containerd-dev (>> 1.7),
               golang-github-containerd-errdefs-dev,
               golang-github-containerd-typeurl-dev (>> 2),
               golang-github-containers-ocicrypt-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-imgcrypt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-imgcrypt.git
Homepage: https://github.com/containerd/imgcrypt
XS-Go-Import-Path: github.com/containerd/imgcrypt

Package: imgcrypt
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: OCI Image Encryption Package (program)
 The imgcrypt library provides API extensions for containerd to support
 encrypted container images and implements the ctd-decoder command line
 tool for use by containerd to decrypt encrypted container images. An
 extended version of containerd's ctr tool (ctr-enc) with support for
 encrypting and decrypting container images is also provided.
 .
 imgcrypt relies on the ocicrypt (https://github.com/containers/ocicrypt)
 library for crypto functions on image layers.
 .
 This package contains the command-line utility

Package: golang-github-containerd-imgcrypt-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-containerd-containerd-dev (>> 1.7),
         golang-github-containerd-errdefs-dev,
         golang-github-containerd-typeurl-dev (>> 2),
         golang-github-containers-ocicrypt-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         ${misc:Depends}
Description: OCI Image Encryption Package (library)
 The imgcrypt library provides API extensions for containerd to support
 encrypted container images and implements the ctd-decoder command line
 tool for use by containerd to decrypt encrypted container images. An
 extended version of containerd's ctr tool (ctr-enc) with support for
 encrypting and decrypting container images is also provided.
 .
 imgcrypt relies on the ocicrypt (https://github.com/containers/ocicrypt)
 library for crypto functions on image layers.
 .
 This package contains the command-line utility

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	mv -v debian/tmp/usr/bin/ctr debian/tmp/usr/bin/ctr-imgcrypt

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/containerd/imgcrypt/tags .*/v?(\d\S*)\.tar\.gz debian
